<mat-progress-bar mode="indeterminate" *ngIf="((loading$ | async) | keys).length > 0" color="primary"
                  class="position-absolute progress-bar"></mat-progress-bar>
<div class="login-container d-flex">
  <div class="login-left-section d-flex">
    <div class="space-left"></div>
    <div class="container d-flex">
      <div class="header d-flex full-width">
        <img class="company-logo" [src]="baseAppPath + 'assets/images/company-logo.png'" />
        <span class="lang-header_select mr-3 d-flex align-items-center justify-content-around">
          <span class="lang-header_select_label ml-3 mr-3">
            {{"LANGUAGE" | translate}}
          </span>
          <button mat-button class="lang-header_select_button flex-row-reverse" [matMenuTriggerFor]="itemTextMenu">
            {{translate.currentLang | translate}}
            <mat-icon class="login-container_language-arrow-down">keyboard_arrow_down</mat-icon>
            <mat-menu #itemTextMenu="matMenu">
              <button mat-menu-item *ngFor="let lang of translate.getLangs()" (click)="langChange(lang)"
                      class="lang-btn">
                <span [innerHTML]="lang | translate" class=""></span>
              </button>
            </mat-menu>
          </button>
        </span>
      </div>
      <div class="login-title full-width">
        <h1>
          {{"SIGN_IN_TO" | translate }}
          <img [src]="assetsPath + 'images/dcp-logo-abbr.svg'"
               class="login-title_logo"
               height="50"
               [alt]="'DIGITAL_CLONE_LOGO_ALT' | translate" />
        </h1>
      </div>

      <div fxLayout="row wrap" class="full-width flex-1">
        <div fxFlex class="two">
          <div class="cube-loader" *ngIf="!ssoLink">
            <app-cube-loader></app-cube-loader>
          </div>
          <div class="login-form-container" *ngIf="ssoLink">
            <p>{{'REDIRECT_TO_SSO_MESSAGE' | translate}}</p>
            <button mat-raised-button color="primary" [innerHTML]="'SIGN_IN_SSO' | translate"
                    [disabled]="(loading$ | async)['Login']" (click)="signInSSO()" class="sign-in-btn mt-4 mb-3">
            </button>
          </div>
        </div>
      </div>
      <div class="footer">
        <h6>
          <a (click)="openBottomSheet()" class="cursor-pointer">{{"VERSIONS" | translate}}</a>
        </h6>
        <h6 class="privacy-policy"><a href="{{privacyPolicyUrl}}" target="blank">{{'PRIVACY_POLICY'
          | translate}}</a></h6>
      </div>
    </div>
  </div>

  <div class="login-right-section login-logo d-none d-lg-block d-xl-block"></div>

</div>
